_messages = [
    {
        id: 1,
        subject: 'Betreff',
        message: 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam.',
        tag: '#efi #bme #semester',
        user: 'user_1'
    },
    {
        id: 2,
        subject: 'Betreff',
        message: 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.',
        tag: '#efi #fachschaft',
        user: 'user_2'
    },
    {
        id: 3,
        subject: 'Betreff',
        message: 'Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam.',
        tag: '#efi #bei #wichtig',
        user: 'user_3'
    },
];


Vue.component('MsgCard', {
    template: `<div class="om-card card">
                <h6 class="msg-head">
                <b>{{ msg.subject }}</b>
                <img src="favicon.ico" width=20px height=20px>
                </h6>
                {{ msg.message }}<br><br>
                <a href="#">{{ msg.tag }}</a></p>
                <div class="om-user-line">
                <i class="material-icons">account_circle</i>
                Erstellt von {{ msg.user }}
                </div></div>`,
    props: ['msg']
});

const HomeRouter = {
    template: `
<div>
    <MsgCard
        v-for="(msg, index) in messages"
        :key="msg.id"
        :msg="msg"
    ></MsgCard>
</div>`,
    data: function () {
        return { messages: _messages };
    },
    methods: {
    },
};
